package cn.com.ty.lift.system.user.controller;


import cn.com.ty.lift.system.user.dao.entity.model.UserApplyRequest;
import cn.com.ty.lift.system.user.service.IUserApplicationService;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 用户申请表 前端控制器
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-13
 */
@RestController
@RequestMapping("/userapply")
public class UserApplicationController {

    @Autowired
    private IUserApplicationService userApplicationService;

    @RequestMapping
    public RestResponse list(UserApplyRequest userApplyRequest){
        return userApplicationService.applyList(userApplyRequest);
    }

    /**
     * @param userApplyRequest
     * @return
     * @description 申请加入团队
     * @date 2019-12-13 16:40
     */
    @PostMapping("/applyTeam")
    public RestResponse applyTeam(@RequestBody UserApplyRequest userApplyRequest) {
        return userApplicationService.applyTeam(userApplyRequest);
    }

    /**
     * @description 审核通过
     * @date 2019-12-13 17:20
     * @param
     * @return
     */
    @PostMapping("/teamPass")
    public RestResponse teamPass(@RequestBody UserApplyRequest userApplyRequest) {
        return userApplicationService.teamPass(userApplyRequest);
    }

    /**
     * @description 审核不通过
     * @date 2019-12-13 17:30
     * @param
     * @return
     */
    @PostMapping("/teamFail")
    public RestResponse teamFail(@RequestBody UserApplyRequest userApplyRequest){
        return userApplicationService.teamFail(userApplyRequest);
    }

}
